Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.abi
Interface ABIFParser.DataAccess

All Superinterfaces:
  DataInput, Seekable

Enclosing class:
  ABIFParser

    public static interface ABIFParser.DataAccess

extends Seekable, DataInput

Concatenation of the `Seekable` and `DataInput` interfaces.

Method Summary
`void` | `finishedReading()` Called when the parser has finished reading.

Methods inherited from interface org.biojava.utils.io.Seekable
`seek`

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Method Detail

### finishedReading

    void finishedReading()
                         throws IOException

  Called when the parser has finished reading. The access may choose to close itself at this point, e.g. if it is using a RandomAccessFile.

  Throws:
    `IOException` - if it could not do what it needs to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD